CorebanqCorebanq Developer Docs
Customersv1Shareholders

Delete Shareholder

Handler: DeleteShareholderByID. Hard-deletes shareholder row.

DELETE
/v1/customers/shareholders/{shareholder_id}

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token obtained from /v1/authenticate endpoint

In: header

Path Parameters

shareholder_id*string

shareholder_id path parameter

shareholder_id*string

Shareholder UUID.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/customers/shareholders/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "status": 200,
  "message": "OK"
}
{
  "status": 400,
  "message": "Bad request"
}
{
  "status": 401,
  "message": "Unauthorized"
}
{
  "status": 403,
  "message": "Forbidden"
}
{
  "status": 404,
  "message": "Not found"
}
{
  "status": 500,
  "message": "Internal server error"
}